org.apache.solr.client.solrj.request.schema

## Class SchemaRequest.ReplaceField

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest<SchemaResponse.UpdateResponse>
    - - org.apache.solr.client.solrj.request.schema.SchemaRequest.Update
      - - org.apache.solr.client.solrj.request.schema.SchemaRequest.ReplaceField

All Implemented Interfaces:
  Serializable

Enclosing class:
  SchemaRequest

    public static class SchemaRequest.ReplaceField
    extends SchemaRequest.Update

Replaces a field's definition. Note that the full definition for a field must be supplied - this command will not partially modify a field's definition. If the field does not exist in the schema the method call `SolrRequest.process(SolrClient, String)` will fail.

See Also:
  Defining Solr fields, Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
Constructor and Description
`ReplaceField(Map<String,Object> fieldAttributes)` Creates a new instance of the request.
`ReplaceField(Map<String,Object> fieldAttributes, SolrParams q)`

### Method Summary

### Methods inherited from class org.apache.solr.client.solrj.request.schema.SchemaRequest.Update

`createResponse, getContentStreams`

### Methods inherited from class org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest

`getParams`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getCollection, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReplaceField

    public ReplaceField(Map<String,Object> fieldAttributes)

Creates a new instance of the request.

Parameters:
  `fieldAttributes` - field type attributes that can be used to enrich the field definition.

#### ReplaceField

    public ReplaceField(Map<String,Object> fieldAttributes,
                        SolrParams q)